For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Connect
BlogHelp CenterAPI PricingSign up
OverviewElevenCreativeElevenAgentsElevenAPIReception AIAPI referenceChangelog
OverviewElevenCreativeElevenAgentsElevenAPIReception AIAPI referenceChangelog
  • API reference
    • Introduction
    • Authentication
    • Streaming
  • ElevenAgents
  • ElevenAPI
        • POSTCreate PVC voice
        • POSTUpdate PVC voice
        • POSTTrain PVC voice
        • POSTAdd samples to PVC voice
        • POSTUpdate PVC voice sample
        • DELDelete PVC voice sample
        • GETGet PVC voice sample audio
        • GETGet PVC voice sample waveform
        • GETGet PVC speaker separation status
        • POSTStart speaker separation
        • GETGet separated speaker audio
        • POSTRequest PVC manual verification
        • GETGet PVC verification captcha
        • POSTVerify PVC verification captcha
      • GETList voices
      • GETGet voice
      • DELDelete voice
      • POSTEdit voice
      • POSTList similar voices
  • ElevenCreative
  • Core Resources
  • Workspace
  • Legacy
  • Conversational AI
LogoLogo
Login
Login
Connect
BlogHelp CenterAPI PricingSign up
ElevenAPIVoicesPVC

Get separated speaker audio

GET
/v1/voices/pvc/:voice_id/samples/:sample_id/speakers/:speaker_id/audio
GET
/v1/voices/pvc/:voice_id/samples/:sample_id/speakers/:speaker_id/audio
$curl https://api.elevenlabs.io/v1/voices/pvc/voice_id/samples/sample_id/speakers/speaker_id/audio
1{
2 "audio_base_64": "audio_base_64",
3 "media_type": "audio/mpeg",
4 "duration_secs": 5
5}
Retrieve the separated audio for a specific speaker.
Was this page helpful?
Previous

Request PVC manual verification

Next
Built with

Path parameters

voice_idstringRequired

Voice ID to be used, you can use https://api.elevenlabs.io/v1/voices to list all the available voices.

sample_idstringRequired
Sample ID to be used
speaker_idstringRequired

Speaker ID to be used, you can use GET https://api.elevenlabs.io/v1/voices/{voice_id}/samples/{sample_id}/speakers to list all the available speakers for a sample.

Headers

xi-api-keystringOptional

Response

Successful Response
audio_base_64string
The base64 encoded audio.
media_typestring
The media type of the audio.
duration_secsdouble
The duration of the audio in seconds.

Errors

422
Unprocessable Entity Error